## com.gargoylesoftware.htmlunit
Class WebWindowNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gargoylesoftware.htmlunit.WebWindowNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class WebWindowNotFoundException

extends java.lang.RuntimeException

Exception to indicate that no `WebWindow` could be found that matched a given name.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler
See Also:
  Serialized Form

Constructor Summary
`WebWindowNotFoundException(java.lang.String name)` Creates an instance.

Method Summary
`java.lang.String` `getName()` Returns the name of the `WebWindow` that wasn't found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebWindowNotFoundException

    public WebWindowNotFoundException(java.lang.String name)

  Creates an instance.

  Parameters:
    `name` - the name that was searched by

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the `WebWindow` that wasn't found.

  Returns:
    the name

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.